Bug 1112271 (CVE-2014-3471) - CVE-2014-3471 Qemu: hw: pci: use after free triggered via guest
Summary: CVE-2014-3471 Qemu: hw: pci: use after free triggered via guest
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-3471
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140623,repor...
Depends On: 1058321 1112274 1112532
Blocks: 1102527
TreeView+ depends on / blocked
 
Reported: 2014-06-23 13:01 UTC by Prasad J Pandit
Modified: 2019-06-08 20:05 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-10 08:18:22 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2014-06-23 13:01:54 UTC
Qemu PCIe bus support is vulnerable to a use-after-free flaw. It could occur
via guest, when it tries to hotplug/hotunplug devices on the guest.

A user able to add & delete Virtio block devices on a guest could use this
flaw to crash the Qemu instance resulting in DoS.

Upstream fix:
-------------
  -> git.qemu.org/?p=qemu.git;a=commit;h=554f802da3f8b09b16b9a84ad5847b2eb0e9ad2b

Comment 1 Prasad J Pandit 2014-06-23 13:12:34 UTC
Statement:

This issue does not affect the versions of kvm package as shipped with Red Hat
Enterprise Linux 5.

This issue does not affect the versions of qemu-kvm package as shipped with Red Hat Enterprise Linux 6.

This issue does not affect the versions of qemu-kvm package as shipped with Red Hat Enterprise Linux 7.

Comment 2 Prasad J Pandit 2014-06-23 13:15:02 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1112274]


Note You need to log in before you can comment on or make changes to this bug.